/* CSS variables */
:root {
  --bs-font-family: "Poppins", sans-serif;
  --bs-secondary-font: "Oswald", sans-serif;
  --bs-font-size: 16px;
  --bs-font-weight: 400;
  --bs-line-height: 1;
  --bs-font-color: #fff;
  --bs-secondary-font-color: rgba(255, 255, 255, 0.5);
  --bs-background-color: #040a0d;
  --bs-transition: 0.3s ease-in-out;
  --bs-radius: 10px;
  --bs-blue: #00a8e8;
}

/* Fonts */
@font-face {
  font-family: "Oswald";
  src: local("Oswald-Regular"), url("../fonts/Oswald-Regular.woff2") format("woff2"), url("../fonts/Oswald-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Poppins";
  src: local("Poppins-Thin"), url("../fonts/Poppins-Thin.woff2") format("woff2"), url("../fonts/Poppins-Thin.woff") format("woff");
  font-weight: 300;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Poppins";
  src: local("Poppins-Regular"), url("../fonts/Poppins-Regular.woff2") format("woff2"), url("../fonts/Poppins-Regular.woff") format("woff");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}
@font-face {
  font-family: "Poppins";
  src: local("Poppins-Bold"), url("../fonts/Poppins-Bold.woff2") format("woff2"), url("../fonts/Poppins-Bold.woff") format("woff");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}
/* CSS reset */
* {
  padding: 0;
  margin: 0;
  border: 0;
  -webkit-tap-highlight-color: transparent;
}
*, *:before, *:after {
  box-sizing: border-box;
}
*:focus, *:active {
  outline: none;
}

html {
  opacity: 0;
  scroll-behavior: smooth;
  transition: opacity 0.8s ease-in-out;
}
html.loaded {
  opacity: 1;
}
html.is-locked {
  overflow: hidden;
  touch-action: none;
  height: 100vh;
}

html,
body {
  width: 100%;
  height: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font: inherit;
}

body {
  overscroll-behavior: none;
  -moz-text-size-adjust: 100%;
  text-size-adjust: 100%;
  text-rendering: optimizelegibility;
  background-color: #fff;
  height: 100%;
  position: relative;
  -webkit-text-size-adjust: 100%;
  -webkit-tap-highlight-color: transparent;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  color: var(--bs-font-color);
  background-color: var(--bs-background-color);
  font-size: var(--bs-font-size);
  font-family: var(--bs-font-family);
  font-weight: var(--bs-font-weight);
  line-height: var(--bs-line-height);
}

ul {
  list-style: none;
}

img {
  max-width: 100%;
  width: 100%;
  height: 100%;
  display: inline-block;
  -o-object-fit: cover;
  object-fit: cover;
  vertical-align: top;
}

input,
textarea {
  width: 100%;
  margin: 0;
  padding: 0;
  outline: none;
  background-clip: padding-box;
  font-family: inherit;
  border: none;
  font: inherit;
}
input::-moz-placeholder, textarea::-moz-placeholder {
  font: inherit;
  transition: opacity 0.3s;
  -moz-transition: opacity 0.3s;
}
input::placeholder,
textarea::placeholder {
  font: inherit;
  transition: opacity 0.3s;
  -moz-transition: opacity 0.3s;
}
input:focus::-moz-placeholder, textarea:focus::-moz-placeholder {
  opacity: 0;
}
input:focus::placeholder,
textarea:focus::placeholder {
  opacity: 0;
}

input[type=button],
input[type=reset],
input[type=submit] {
  -webkit-appearance: none;
  cursor: pointer;
  border: none;
}

input[type=number] {
  -moz-appearance: textfield;
}
input[type=number]::-webkit-outer-spin-button, input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  box-shadow: 0 0 0 30px #fff inset !important;
}

input::-ms-clear {
  display: none;
}

button {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  border: 0;
  background-color: transparent;
  border-radius: 0;
  cursor: pointer;
  color: inherit;
  border-width: 0;
  -webkit-appearance: button;
  font: inherit;
}
button::-moz-focus-inner {
  padding: 0;
  border: 0;
}

a,
a:visited {
  display: inline-flex;
  text-decoration: none;
  font-size: 100%;
  vertical-align: baseline;
  outline: none;
  color: inherit;
}
a:focus, a:active,
a:visited:focus,
a:visited:active {
  outline: none;
}
a:hover,
a:visited:hover {
  text-decoration: none;
}

a:hover {
  text-decoration: none;
}

i {
  display: inline-flex;
}

/* Main wrapper */
.wrapper {
  min-height: 100%;
}

/* Main container */
.container {
  margin: 0 auto;
  max-width: 1170px;
  padding: 0 15px;
}

/* Global flex */
.flex {
  display: flex;
}

/* Global flex column */
.flex-c {
  display: flex;
  flex-direction: column;
}

/* Global titles */
.g-title--h1 {
  font-family: var(--bs-secondary-font);
  font-size: clamp(30px, 4vw, 45px);
  line-height: 1.3;
  margin-bottom: clamp(5px, 1vw, 10px);
}
.g-title--h2 {
  font-size: clamp(25px, 3vw, 35px);
  line-height: clamp(28px, 3vw, 38px);
}
.g-title--h3 {
  font-size: clamp(22px, 3vw, 30px);
}
.g-title--h4 {
  color: var(--bs-blue);
  margin-bottom: clamp(20px, 3vw, 30px);
}

/* Section margin */
.section-mb {
  margin-bottom: clamp(40px, 5vw, 80px);
}

/* Section padding */
.section-p {
  padding: clamp(50px, 10vw, 120px) 0;
}

/* Video fade */
.fade {
  position: fixed;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: 99;
  pointer-events: none;
  opacity: 0;
  background-color: #111;
  transition: opacity 0.3s;
}
.fade.is-active {
  opacity: 1;
  pointer-events: all;
}

/* Close btn */
.close-btn {
  cursor: pointer;
  width: 30px;
  height: 30px;
  position: absolute;
  top: clamp(10px, 4vw, 50px);
  right: clamp(10px, 4vw, 50px);
  background-color: #fff;
  border-radius: 50%;
  background-image: url("../img/icons/close.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 40%;
}

/* To top */
.btnTop {
  z-index: 98;
  position: fixed;
  bottom: 20px;
  right: 20px;
  padding: 20px;
  opacity: 0;
  background-color: var(--bs-blue);
  border: 1px solid transparent;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.4s, transform 0.4s ease-in-out, opacity 0.4s, border-color 0.4s;
  transform: translateY(200%);
  background-image: url("../img/icons/arrow-up-solid.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 40%;
}
.btnTop.is-active {
  transform: translateY(0);
  opacity: 1;
}
.btnTop:hover {
  background-color: #111;
  border-color: #fff;
}

/* Classification */
.film-classification {
  text-transform: uppercase;
  font-size: clamp(14px, 1vw, 20px);
  font-weight: 700;
  border: 1px solid #fff;
  border-radius: 100%;
  width: clamp(35px, 3vw, 55px);
  height: clamp(35px, 3vw, 55px);
  padding: 10px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.film-info {
  display: flex;
  flex-direction: column;
}
.film-info h4 {
  color: var(--bs-blue);
  font-size: clamp(18px, 2vw, 20px);
  align-self: flex-start;
  margin-bottom: 10px;
}

.film-genres ul {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
.film-genres ul li {
  position: relative;
}
.film-genres ul li::after {
  position: absolute;
  content: ",";
  right: -4px;
  bottom: -1px;
}
.film-genres ul li:last-child::after {
  display: none;
}

/* Burger css */
.burger {
  cursor: pointer;
  display: none;
  justify-content: center;
  align-items: center;
  width: 22px;
  height: 22px;
  z-index: 90;
}
.burger__main {
  position: absolute;
  height: 100%;
  width: 100%;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: auto;
  align-items: center;
}
.burger__main span {
  display: block;
  width: 100%;
  height: 2px;
}
.burger__main span:nth-child(1) {
  transition-delay: 0.5s;
}
.burger__main span:nth-child(2) {
  transition-delay: 0.625s;
}
.burger__main span:nth-child(3) {
  transition-delay: 0.75s;
}
.burger__toggle {
  width: 22px;
  height: 22px;
  position: relative;
  cursor: pointer;
}
.burger__toggle span {
  position: relative;
  background: #fff;
  border-radius: 2px;
  transition: 0.2s ease-in-out;
}
.burger__cross {
  position: absolute;
  width: 22px;
  height: 22px;
  transform: rotate(45deg);
}
.burger__cross span:nth-child(1) {
  height: 0%;
  width: 2px;
  position: absolute;
  top: 0px;
  left: 50%;
  transform: translateX(-50%);
  transition-delay: 0s;
}
.burger__cross span:nth-child(2) {
  width: 0;
  height: 2px;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  transition-delay: 0.25s;
}
.burger__toggle.is-active .burger__main span {
  width: 0;
}
.burger__toggle.is-active .burger__main span:nth-child(1) {
  transition-delay: 0s;
}
.burger__toggle.is-active .burger__main span:nth-child(2) {
  transition-delay: 0.125s;
}
.burger__toggle.is-active .burger__main span:nth-child(3) {
  transition-delay: 0.25s;
}
.burger__toggle.is-active .burger__cross span:nth-child(1) {
  height: 100%;
  transition-delay: 0.625s;
}
.burger__toggle.is-active .burger__cross span:nth-child(2) {
  width: 100%;
  transition-delay: 0.375s;
}

/* Burger css end */
/* Header */
.header {
  position: relative;
  margin-bottom: clamp(50px, 9vw, 135px);
  background-color: rgba(0, 0, 0, 0.5);
  transition: background-color 0.3s;
}
.header__inner {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.header .logo {
  z-index: 90;
  width: 200px;
  flex-shrink: 0;
}
.header .navigation {
  z-index: 1;
}
.header .navigation__inner ul {
  color: #fff;
  display: flex;
  gap: 30px;
}
.header .navigation__inner ul a {
  position: relative;
  padding: clamp(20px, 2vw, 25px) 0;
  transition: color 0.3s;
  width: 100%;
  justify-content: center;
}
.header .navigation__inner ul a:after {
  position: absolute;
  content: "";
  width: 0;
  height: 2px;
  left: 50%;
  transform: translateX(-50%);
  top: 1px;
  background-color: var(--bs-blue);
  transition: width 0.3s;
}
.header .navigation__inner ul a:hover:after {
  width: 100%;
}
.header .navigation.is-active {
  opacity: 1;
}
.header .navigation--mobile {
  display: none;
}

/* Footer */
.footer {
  margin-top: auto;
  font-size: 16px;
  background: #000;
  background: linear-gradient(109.6deg, rgba(0, 0, 0, 0.93) 11.2%, rgb(63, 61, 61) 78.9%);
}
.footer__inner {
  padding: clamp(50px, 10vw, 100px) 0 0;
  display: flex;
  flex-direction: column;
  gap: clamp(10px, 2vw, 30px);
}
.footer__title {
  margin-bottom: 10px;
}
.footer__title img {
  width: clamp(250px, 35vw, 350px);
}
.footer__info {
  display: grid;
  grid-template: 1fr/1fr 0.8fr;
  gap: 35px;
  padding: 0 0 clamp(20px, 7vw, 100px) 0;
}
.footer__info-main {
  gap: 30px;
}
.footer__info-main a {
  transition: color 0.3s;
}
.footer__info-main a:hover {
  color: var(--bs-blue);
}
.footer__info-main ul {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.footer__info-text {
  line-height: 1.8;
}
.footer__info-text:hover a {
  color: var(--bs-blue);
}
.footer__info-item {
  align-items: center;
  gap: 3px;
}
.footer__info-item i {
  font-size: 15px;
  width: 20px;
  align-items: center;
  justify-content: center;
}
.footer__info-item i.i-link, .footer__info-item i.i-ticket {
  font-size: 17px;
}
.footer__map iframe {
  min-height: 300px;
  width: 100%;
  height: 100%;
}
.footer__bottom {
  padding: clamp(15px, 2vw, 20px) 0;
  border-top: 1px solid #ccc;
  text-align: center;
  color: #ccc;
  font-size: 14px;
  line-height: 1.5;
}
.footer__socials ul {
  display: flex;
  flex-direction: row;
  gap: 10px;
}
.footer__socials ul a {
  position: relative;
  width: 50px;
  height: 50px;
  display: block;
  text-align: center;
  border-radius: 50%;
  padding: 6px;
  box-sizing: border-box;
  text-decoration: none;
  box-shadow: 0 2px 5px rgba(250, 249, 249, 0.3);
  background: linear-gradient(0deg, #ddd, #fff);
  transition: 0.5s;
}
.footer__socials ul a:hover {
  box-shadow: 0 5px 15px rgba(246, 244, 244, 0.3);
}
.footer__socials ul a .fab {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background: linear-gradient(0deg, #fff, #ddd);
  border-radius: 50%;
  line-height: 48px;
  font-size: 20px;
  color: #262626;
  transition: 0.5s;
}
.footer__socials li:nth-child(1) a:hover .fab {
  color: #3b5998;
}
.footer__socials li:nth-child(2) a:hover .fab {
  color: #e4405f;
}
.footer__socials li:nth-child(3) a:hover .fab {
  color: #00aced;
}

.devider {
  height: clamp(10px, 2vw, 20px);
  background: rgb(25, 142, 216);
  background: linear-gradient(90deg, rgba(25, 142, 216, 0) 0%, rgba(25, 142, 216, 0.9) 100%);
}
.devider--reverse {
  background: linear-gradient(90deg, rgba(25, 142, 216, 0.9) 0%, rgba(25, 142, 216, 0) 100%);
}

#particles-js {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: -1;
}

.section-label {
  font-family: var(--bs-secondary-font);
  position: absolute;
  left: 0;
  display: inline-flex;
  border: 1px solid #bebfbd;
  border-left: 0;
  border-radius: 0 var(--bs-radius) var(--bs-radius) 0;
  padding: clamp(15px, 2vw, 20px) clamp(15px, 2vw, 30px) clamp(15px, 2vw, 20px) 50px;
  text-transform: uppercase;
  font-size: clamp(16px, 1.5vw, 20px);
  transform: translateX(-90%);
  opacity: 0;
  transition: transform 0.7s ease-in-out, opacity 0.7s ease-in-out;
}
.section-label::before {
  position: absolute;
  content: "";
  width: 4px;
  height: 70%;
  left: 25px;
  top: 50%;
  transform: translateY(-50%) scaleY(0);
  background-color: var(--bs-blue);
  transition: transform 1s;
  transition-delay: 0.6s;
}
.section-label p {
  gap: clamp(6px, 1vw, 12px);
}
.section-label span {
  color: var(--bs-blue);
}
.section-label.is-shown {
  transform: translateX(0);
  opacity: 1;
}
.section-label.is-shown:before {
  transform: translateY(-50%) scaleY(1);
}

.popup {
  opacity: 0;
  pointer-events: none;
  position: fixed;
  z-index: -1;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: rgba(0, 0, 0, 0.8);
  transition: opacity 0.3s ease-in-out;
}
.popup.is-active {
  z-index: 99;
  opacity: 1;
  pointer-events: all;
}
.popup__inner-wrap {
  position: relative;
  max-width: 500px;
  width: 100%;
  max-height: 80vh;
}
.popup__inner {
  background-color: rgb(34, 34, 34);
  box-shadow: 0 0 15px 5px #111;
  padding: clamp(40px, 4vw, 50px) clamp(20px, 4vw, 50px);
  border-radius: var(--bs-radius);
  display: flex;
  flex-direction: column;
  max-height: 80vh;
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: thin;
  scrollbar-color: #555 #fff;
  transition: scrollbar-color 0.3s ease-out;
  /* width */
  /* Track */
  /* Handle */
  /* Handle on hover */
}
.popup__inner::-webkit-scrollbar {
  width: 5px;
}
.popup__inner::-webkit-scrollbar-track {
  background: #ccc;
}
.popup__inner::-webkit-scrollbar-thumb {
  background: #555;
  border-radius: 5px;
}
.popup__inner::-webkit-scrollbar-thumb:hover {
  background: #555;
}
.popup__inner h2 {
  font-size: 30px;
  padding-bottom: 30px;
  margin-bottom: 30px;
  font-family: var(--bs-secondary-font);
  border-bottom: 1px solid var(--bs-blue);
}
.popup__lists {
  display: flex;
  gap: 50px;
  justify-content: space-between;
}
.popup__lists-item {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.popup__lists-item li {
  display: grid;
  grid-template: 1fr/1fr auto;
  gap: 40px;
}
.popup__lists-item li:first-child {
  font-size: 20px;
  margin-bottom: 15px;
}
.popup__lists-item li span:last-child {
  color: var(--bs-blue);
  min-width: 26px;
  display: flex;
  justify-content: flex-end;
}
.popup__lists-item li span:first-child {
  position: relative;
}
.popup__lists-item li span:first-child:before {
  position: absolute;
  content: "";
  width: 3px;
  height: 3px;
  border-radius: 50%;
  right: -20px;
  top: 50%;
  transform: translateY(-50%);
  background-color: #fff;
}
.popup__close {
  cursor: pointer;
  position: absolute;
  top: -15px;
  right: -15px;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  background-color: #fff;
  background-image: url("../img/icons/close.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 40%;
  transition: background-color 0.3s;
  z-index: 1;
}
.popup__ratings {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.popup__ratings li {
  display: flex;
  flex-direction: column;
  line-height: 1.3;
}
.popup__ratings li span:first-child {
  color: var(--bs-blue);
  margin-bottom: 5px;
  font-size: 20px;
}

.intro {
  position: relative;
  background-image: url("../img/bg/intro-bg.webp");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
  padding: 0 0 clamp(50px, 8vw, 100px);
}
@media screen and (min-width: 1440px) {
  .intro {
    height: 100vh;
  }
}
.intro .container {
  height: 100%;
  display: flex;
}
.intro:before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  background-color: rgba(0, 0, 0, 0.2);
  pointer-events: none;
  z-index: 1;
}
.intro::after {
  position: absolute;
  content: "";
  width: 35vw;
  height: 35vw;
  right: 0;
  bottom: 0;
  background-image: url("../img/bg/intro-bg-2.webp");
  background-repeat: no-repeat;
  background-position: bottom right;
  background-size: contain;
  opacity: 0.8;
}
.intro__animated-item {
  transform: translateY(10px);
  opacity: 0;
  transition: transform 0.9s, opacity 0.7s;
}
.intro__inner {
  display: grid;
  grid-template: 1fr/1fr 0.9fr;
  position: relative;
  z-index: 2;
  align-items: center;
}
.intro__left {
  position: relative;
  padding: 30px 50px 30px 20px;
}
.intro__left::after {
  border-radius: var(--bs-radius);
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  opacity: 0;
  transform: scale(0.9);
  transition: opacity 1s, transform 1s;
  transition-delay: 3s;
  z-index: -1;
  background: rgb(5, 8, 16);
  background: linear-gradient(125deg, rgba(5, 8, 16, 0.8) 0%, rgba(28, 54, 73, 0.8) 100%);
}
.intro__left.is-active::after {
  opacity: 1;
  transform: scale(1);
}
.intro__right {
  margin-left: -30px;
}
.intro__title {
  position: relative;
  padding: 0 0 clamp(10px, 1vw, 20px) 0;
  text-transform: uppercase;
  font-family: var(--bs-secondary-font);
  margin-bottom: 20px;
  display: flex;
}
.intro__title h1 {
  display: flex;
  font-size: clamp(25px, 15vw, 100px);
  z-index: 2;
}
.intro__title h1 span {
  opacity: 0;
  transition: transform 1.6s ease-in-out, opacity 1s ease-in-out;
}
.intro__title h1 span:nth-child(1) {
  transform: translate(-35px, 55px) rotate(-20deg) scale(2.4);
}
.intro__title h1 span:nth-child(2) {
  transform: translate(35px, 35px) rotate(20deg) scale(1.6);
}
.intro__title h1 span:nth-child(3) {
  transform: translate(55px, -35px) rotate(60deg) scale(1.8);
}
.intro__title h1 span:nth-child(4) {
  transform: translate(-35px, -35px) rotate(80deg) scale(2.2);
}
.intro__title h1 span:nth-child(5) {
  transform: translate(-75px, 35px) rotate(10deg) scale(0.2);
}
.intro__title h1 span:nth-child(6) {
  transform: translate(45px, 75px) rotate(-50deg) scale(1.4);
}
.intro__title h1 span:nth-child(7) {
  transform: translate(65px, 35px) rotate(65deg) scale(1.9);
}
.intro__title.is-active h1 span {
  opacity: 1;
  transform: translate(0, 0) rotate(0deg) scale(1);
}
.intro__title.is-active h1 span:nth-child(1) {
  transition-delay: 0.2s;
}
.intro__title.is-active h1 span:nth-child(2) {
  transition-delay: 0.4s;
}
.intro__title.is-active h1 span:nth-child(3) {
  transition-delay: 0.6s;
}
.intro__title.is-active h1 span:nth-child(4) {
  transition-delay: 0.8s;
}
.intro__title.is-active h1 span:nth-child(5) {
  transition-delay: 1s;
}
.intro__title.is-active h1 span:nth-child(6) {
  transition-delay: 1.2s;
}
.intro__title.is-active h1 span:nth-child(7) {
  transition-delay: 1.4s;
}
.intro__title.is-active:after {
  width: 100%;
}
.intro__description {
  display: grid;
  grid-template: auto 1fr auto/1fr;
  gap: 15px;
}
.intro__description-inner {
  align-items: stretch;
  transition-delay: 2s;
  display: grid;
  grid-template: 1fr/1fr 1fr;
  width: -moz-max-content;
  width: max-content;
}
.intro__description-2d {
  transition-delay: 2.5s;
  margin-bottom: 10px;
  font-size: 14px;
}
.intro__description-text {
  line-height: 1.4;
  transition-delay: 3s;
  margin-bottom: 10px;
}
.intro__description-text span {
  color: var(--bs-blue);
  font-weight: 700;
  flex-shrink: 0;
}
.intro__description-list {
  margin-bottom: 10px;
  gap: 5px;
  transition-delay: 3.5s;
}
.intro__description-list p {
  line-height: 1.3;
}
.intro__description-list span {
  color: var(--bs-blue);
  font-weight: 700;
  flex-shrink: 0;
}
.intro__description-list ul {
  gap: 8px;
  font-size: 14px;
}
.intro__description-list li {
  position: relative;
  padding-left: 10px;
}
.intro__description-list li::before {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  left: 0;
  top: 5px;
  background-color: #fff;
  border-radius: 50%;
}
.intro__description.is-active .intro__animated-item {
  transform: translateX(0);
  opacity: 1;
}
.intro__reald {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  border: 1px solid var(--bs-blue);
  border-right: none;
  padding: 10px clamp(15px, 2vw, 30px);
  border-radius: 5px 0 0 5px;
}
.intro__reald-img img {
  width: auto;
  -o-object-fit: contain;
  object-fit: contain;
  width: clamp(15px, 2vw, 25px);
  height: clamp(15px, 2vw, 25px);
}
.intro__digital {
  background-color: var(--bs-blue);
  padding: 0 clamp(15px, 2vw, 30px);
  border-radius: 0 5px 5px 0;
}
.intro__digital span {
  display: flex;
  align-items: center;
  height: 100%;
}
.intro__address {
  font-size: 14px;
  margin-top: auto;
  display: flex;
  align-items: center;
  transform: translateY(10px);
  opacity: 0;
  transition: transform 0.9s, opacity 0.7s;
  transition-delay: 4s;
}
.intro__address span:nth-child(1) {
  padding-right: 10px;
  margin-right: 6px;
  position: relative;
}
.intro__address span:nth-child(1)::after {
  position: absolute;
  content: "";
  width: 4px;
  height: 4px;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  background-color: #fff;
  border-radius: 50%;
}
.intro__address span:nth-child(2) {
  text-transform: uppercase;
}
.intro__images {
  display: grid;
  grid-template: 1fr 1fr/1fr 1fr;
  gap: 10px;
}
.intro__images-img {
  opacity: 0;
  transition: transform 1s, opacity 1s;
  transition-delay: 3.5s;
  pointer-events: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}
.intro__images-img:nth-child(1) {
  transform: translate(-30px, -30px);
}
.intro__images-img:nth-child(2) {
  transform: translate(30px, -30px);
}
.intro__images-img:nth-child(3) {
  transform: translate(-30px, 30px);
}
.intro__images-img:nth-child(4) {
  transform: translate(30px, 30px);
}
.intro__images-img img {
  border-radius: var(--bs-radius);
}
.intro__images.is-active .intro__images-img {
  opacity: 1;
  transform: translate(0, 0);
}

.weekly {
  position: relative;
}
.weekly__current-day {
  display: flex;
  gap: 10px;
  margin-bottom: 20px;
  font-size: 22px;
}
.weekly__current-day span {
  color: var(--bs-blue);
}
.weekly__actions {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
  font-size: 14px;
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  gap: 20px;
}
.weekly__devider {
  color: var(--bs-secondary-font-color);
  position: relative;
  display: flex;
  justify-content: center;
  margin-bottom: 20px;
  pointer-events: none;
}
.weekly__devider:after {
  position: absolute;
  content: "";
  top: 50%;
  left: 0;
  width: 100%;
  height: 1px;
  background-color: var(--bs-secondary-font-color);
  z-index: 1;
}
.weekly__devider span {
  z-index: 2;
  background-color: #040a0d;
  display: flex;
  align-items: center;
  padding: 5px 10px;
  gap: 5px;
  font-size: 13px;
}
.weekly__devider img {
  margin-top: -2px;
  width: 20px;
  height: 20px;
  -o-object-fit: contain;
  object-fit: contain;
}
.weekly__inner {
  position: relative;
  z-index: 1;
}
.weekly__reset-button {
  text-align: center;
  line-height: 1.2;
  border: 1px solid rgba(255, 255, 255, 0.1);
  display: none;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  padding: 5px 10px;
  transition: border-color 0.3s;
  border-radius: 5px;
  width: 60px;
  height: 60px;
}
@media screen and (min-width: 1440px) {
  .weekly__reset-button:hover {
    border-color: #fff;
  }
}
.weekly__reset-button.is-active {
  display: flex;
}
.weekly__dates {
  display: flex;
  gap: 10px;
  max-width: 970px;
  overflow-x: auto;
}
.weekly__dates li {
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  width: 60px;
  height: 60px;
  flex-shrink: 0;
  border-radius: 5px;
  border: 1px solid rgba(255, 255, 255, 0.1);
  transition: border-color 0.3s;
  cursor: pointer;
  display: flex;
  flex-direction: column;
  gap: 3px;
}
.weekly__dates li.inactive {
  pointer-events: none;
  color: var(--bs-secondary-font-color);
  display: none;
}
.weekly__dates li.is-active {
  border-color: #fff;
}
@media screen and (min-width: 1440px) {
  .weekly__dates li:hover {
    border-color: #fff;
  }
}
.weekly__dates li span:first-child {
  font-size: clamp(16px, 2vw, 18px);
}
.weekly__dates li span:last-child {
  color: var(--bs-secondary-font-color);
}
.weekly__items {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  -moz-column-gap: clamp(10px, 2vw, 20px);
  column-gap: clamp(10px, 2vw, 20px);
  row-gap: clamp(20px, 2vw, 40px);
}
.weekly__item {
  display: grid;
  grid-template: max-content auto/1fr;
  gap: 20px;
}
.weekly__item-inner {
  position: relative;
}
.weekly__item-info {
  display: flex;
  justify-content: center;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) translateY(-50px);
  color: #fff;
  font-size: 13px;
  width: calc(100% - 14px);
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s, transform 0.3s;
}
.weekly__item-info > div {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  background-color: rgba(0, 0, 0, 0.6);
  box-shadow: 0 0 2px 2px rgba(0, 0, 0, 0.6);
  padding: 10px;
  border-radius: 5px;
}
.weekly__item-link {
  display: flex;
  flex-direction: column;
  position: relative;
}
.weekly__item-link:hover:after {
  height: calc(100% - 14px);
}
.weekly__item-link:hover ~ .weekly__item-info {
  opacity: 1;
  transform: translate(-50%, -50%) translateY(0);
}
.weekly__item-link::after {
  content: "";
  position: absolute;
  bottom: 7px;
  left: 50%;
  transform: translateX(-50%);
  width: calc(100% - 14px);
  height: 60px;
  background: linear-gradient(0deg, rgb(0, 0, 0) 0%, rgba(0, 0, 0, 0) 100%);
  transition: height 0.4s;
}
.weekly__item-poster {
  width: 100%;
  overflow: hidden;
  border: 1px solid #fff;
  padding: 7px;
  border-radius: 5px;
}
.weekly__item-poster img {
  aspect-ratio: 8/13;
  border-radius: 4px;
}
.weekly__item-title {
  position: absolute;
  bottom: 10px;
  left: 50%;
  transform: translateX(-50%);
  font-size: 20px;
  width: calc(100% - 14px);
  padding: 0 4px;
  line-height: 1.2;
  z-index: 2;
  display: flex;
  justify-content: center;
}
.weekly__item-classification {
  position: absolute;
  right: 15px;
  top: 15px;
  font-size: 14px;
  text-transform: uppercase;
  font-weight: 700;
  border: 1px solid #fff;
  border-radius: 100%;
  width: 35px;
  height: 35px;
  padding: 10px;
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #000;
  box-shadow: 0 0 5px 2px #000;
}
.weekly__item-genres {
  display: flex;
  flex-wrap: wrap;
  gap: 9px;
}
.weekly__item-genres li {
  position: relative;
}
.weekly__item-genres li::after {
  position: absolute;
  content: ",";
  right: -4px;
  bottom: -1px;
}
.weekly__item-genres li:last-child::after {
  display: none;
}
.weekly__item-scedule {
  line-height: 1.4;
}
.weekly__item-scedule h4 {
  color: var(--bs-blue);
  font-weight: 700;
  margin-bottom: 15px;
}
.weekly__item-scedule ul {
  display: flex;
  flex-direction: column;
  background-color: rgba(34, 34, 34, 0.4);
  padding: 5px 10px;
  border-radius: 5px;
}
.weekly__item-scedule ul li {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  -moz-column-gap: 10px;
  column-gap: 10px;
  row-gap: 2px;
  border-bottom: 1px solid rgba(68, 68, 68, 0.7);
  padding: 5px 0;
}
.weekly__item-scedule ul li:last-child {
  padding-bottom: 0;
  border-bottom: none;
}
.weekly__item-scedule ul li span {
  display: flex;
  justify-content: flex-end;
  color: var(--bs-blue);
}

.upcoming {
  overflow: hidden;
  background: #000;
  background: linear-gradient(109.6deg, rgba(0, 0, 0, 0.93) 11.2%, rgb(63, 61, 61) 78.9%);
  position: relative;
  display: flex;
  align-items: flex-start;
}
.upcoming__inner {
  position: relative;
  display: grid;
  grid-template: 1fr/1fr 2fr;
  gap: clamp(10px, 3vw, 30px);
  align-items: flex-start;
}
.upcoming__inner.is-shown .upcoming__poster {
  opacity: 1;
  transform: translateX(0);
}
.upcoming__inner.is-shown .upcoming__info {
  opacity: 1;
  transform: translateX(0);
}
.upcoming__poster {
  position: relative;
  display: grid;
  grid-template: 1fr auto/1fr;
}
.upcoming__poster-img {
  position: relative;
  z-index: 2;
  border-radius: var(--bs-radius);
  overflow: hidden;
}
.upcoming__poster::after {
  position: absolute;
  content: "";
  width: 130%;
  height: 100%;
  left: 10px;
  top: 550px;
  transform: translate(-50%, -50%);
  background-image: url("../img/bg/play-bg.svg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  z-index: 1;
  opacity: 0.05;
  pointer-events: none;
}
.upcoming__info {
  gap: clamp(18px, 2vw, 23px);
}
.upcoming__info-top {
  display: flex;
  align-items: center;
  gap: clamp(10px, 2vw, 20px);
}
.upcoming__info-title {
  font-size: 30px;
}
.upcoming__info-year {
  font-size: clamp(22px, 2vw, 30px);
  color: var(--bs-blue);
  margin-left: auto;
}
.upcoming__info-rating .imdbRatingPlugin {
  font-weight: 400;
  font-size: clamp(14px, 2vw, 20px) !important;
  color: #fff !important;
  font-family: var(--bs-font-family);
  display: flex;
  gap: 10px;
  align-items: center;
  margin: 0;
}
.upcoming__info-rating .imdbRatingPlugin a {
  background-color: #f4c519;
  padding: 5px 10px;
  color: #000;
  font-weight: 700;
  border-radius: 5px;
}
.upcoming__info-rating .imdbRatingPlugin span.ofTen {
  font-size: clamp(15px, 2vw, 21px) !important;
}
.upcoming__info-rating .imdbRatingPlugin span.votes {
  display: none;
}
.upcoming__info-rating .imdbRatingPlugin span.rating {
  display: flex;
  gap: 2px;
}
.upcoming__info-storyline p {
  line-height: 1.5;
}
.upcoming__info-storyline .less,
.upcoming__info-storyline .show {
  color: var(--bs-blue);
}
.upcoming__btn {
  margin-top: -15px;
  z-index: 2;
}
.upcoming__btn-inner {
  cursor: pointer;
  background-color: #000;
  border-radius: 0 0 10px 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: clamp(18px, 3vw, 25px);
  padding: clamp(10px, 1.5vw, 15px) 10px;
  gap: 10px;
  margin-top: auto;
  transition: background-color 0.3s ease-in-out, color 0.3s ease-in-out;
}
.upcoming__btn-inner svg {
  width: clamp(30px, 3vw, 40px);
  height: clamp(30px, 3vw, 40px);
}
.upcoming__btn-inner .circle {
  stroke: var(--bs-blue);
  stroke-dasharray: 650;
  stroke-dashoffset: 650;
  transition: all 0.5s ease-in-out;
  -webkit-transition: all 0.5s ease-in-out;
  opacity: 0.3;
}
.upcoming__btn-inner a {
  transform: translateX(-11px) translateY(1px);
  display: inline-flex;
  -webkit-transition: all 0.5s ease;
}
.upcoming__btn-inner a .triangle {
  -webkit-transition: all 0.7s ease-in-out;
  stroke-dasharray: 240;
  stroke-dashoffset: 480;
  stroke: #fff;
  transform: translateY(0);
}
.upcoming__btn-inner:hover {
  color: var(--bs-blue);
}
.upcoming__btn-inner:hover a {
  transform: translateX(0) translateY(1px);
}
.upcoming__btn-inner:hover .triangle {
  stroke-dashoffset: 0;
  opacity: 1;
  stroke: var(--bs-blue);
  animation: nudge 0.7s ease-in-out;
}
@keyframes nudge {
  0% {
    transform: translateX(0);
  }
  30% {
    transform: translateX(-5px);
  }
  50% {
    transform: translateX(5px);
  }
  70% {
    transform: translateX(-2px);
  }
  100% {
    transform: translateX(0);
  }
}
.upcoming__btn-inner:hover .circle {
  stroke-dashoffset: 0;
  opacity: 1;
}
.upcoming__btn-inner span {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
}

.trailer {
  position: fixed;
  width: 60vw;
  height: 40vh;
  max-width: 1920px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  z-index: 99;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  pointer-events: none;
  opacity: 0;
  transition: opacity 0.4s;
}
.trailer.is-active {
  opacity: 1;
  pointer-events: all;
}
.trailer.is-active iframe {
  opacity: 1;
}
.trailer__video {
  width: 100%;
  height: 100%;
  border-radius: var(--bs-radius);
  overflow: hidden;
  margin-bottom: 30px;
  position: relative;
  padding-bottom: 56.25%;
}
.trailer__video iframe {
  border: none;
  opacity: 0;
  transition: opacity 0.4s;
  position: absolute;
  top: 0;
  left: 0;
  width: 100% !important;
  height: 100% !important;
}

.future {
  line-height: 1.3;
  position: relative;
}
.future__title {
  font-size: clamp(30px, 4vw, 45px);
  font-family: var(--bs-secondary-font);
}
.future__item {
  display: grid;
  grid-template: 1fr/1fr 2fr;
  gap: clamp(10px, 3vw, 30px);
  line-height: 1;
  align-items: flex-start;
}
.future__item-top {
  display: flex;
  align-items: center;
  gap: clamp(10px, 2vw, 20px);
}
.future__item-title {
  font-size: 30px;
  margin: -2px 0 5px;
}
.future__item-showtime span {
  color: var(--bs-blue);
}
.future__item-poster {
  display: flex;
  overflow: hidden;
  border-radius: var(--bs-radius);
}
.future__item-info {
  display: flex;
  flex-direction: column;
  gap: clamp(18px, 2vw, 23px);
}
.future__item-description {
  line-height: 1.5;
}